# Adaptive treatment assignment in experiments for policy choice

by Maximilian Kasy and Anja Sautmann.

This archive contains the replication files for Adaptive treatment assignment in experiments for policy choice, as published in Econometrica.  

All code in this archive is written in R and R-Markdown.
To run it, installation of some packages from CRAN is required; the console will list these, in case they are not already installed on your machine.  

The required packages are "tidyverse", "shiny," and "flexdashboard" for the interactive dashboard, and "tidyverse," "future.apply," "magrittr," "xtable," and "forcats" for the simulations.


1. The file *PAD_experiment_combined_outcomes.csv* contains the outcome data from our experiment with Precision Agriculture for Development, as discussed in Section 6 of the paper. 


2. The folder *interactive_dashboard* contains the code for an interactive dashboard that can be used by experimental practitioners, and which also allows to reproduce the empirical findings in Table II and Figure 6.1 in Section 6 of the paper. 

To run the dashboard, open *exploration_sampling_dashboard.RMD* in RStudio and "knit" it. 
To reproduce the empirical findings, upload *PAD_experiment_combined_outcomes.csv* to the dashboard.

The interactive dashboard is also available online, at [https://maxkasy.shinyapps.io/exploration_sampling_dashboard/](https://maxkasy.shinyapps.io/exploration_sampling_dashboard/).


3. The folder *simulations* contains all the code necessary to reproduce the simulation results shown in Table 1 in Section 5 of the paper. To do so, change the working directory to the folder *simulations* and run *CalibratedSimulations.R*. Within the file, sample size, algorithm, and wave number can be modified.

This file will create a file *calibrated_theta_alternative.pdf* that displays the average treatment outcomes. Furthermore it will create all figures and .tex code for tables in Section 5 of the paper, named according to the following scheme: "date"_CalibratedSimulations_"first author"_"sample size"_"title". 
The content of the tables can be modified in line 28 of *CalibratedSimulations.R*.  All outputs are saved in the *Figures* subfolder.

Please note that the simulation file takes a while to run. 


4. The folder *Figures_paper* contains the outputs produced by the code in the *simulations* folder.



